@charset "utf-8";

html {
    box-sizing: border-box;   
}

*, *:before, *:after {
    box-sizing: inherit;
}

:root {
    font-size: 18px;
}

body {
    font-size: 100%;
}

.wrapper1 {
    max-width: 1024px;
    margin: 0 auto;
}

header {
    background-color: black;
    padding: 2em;
}

header > h1 {
    color: white;
    font-family: 'Oswald', sans-serif;
    font-size: 3.5rem;
    text-align: left;
    max-width: 80%;
}

header > h1 > a {
    text-decoration: none;
    color: white;
}

header > h1 > a:visited {
    color: white;
}

header > p {
    color: white;
    font-family: 'Quattrocento', serif;
    font-size: 1.2rem;
    max-width: 80%;
    margin: 0;
    margin-top: .8rem;
    padding: 0;
}

#barMenu, #barMenu2 {
    display: none;
}

.intro-section {
    width: 100%;
}

.main-intro {
    position: relative;
    overflow-x: hidden;
    overflow-y: hidden;
    max-height: 75vh;
}

.main-intro img {
    max-width: 100%;
    margin: 0 auto;
    display: block;
    clear: both;
}

.main-intro > h1 {
    color: white; 
    font-family: 'Oswald', sans-serif;
    text-align: left;
    font-size: 1.5rem;
    width: fit-content;
    max-width: 65%;
    line-height: 115%;
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: black;
    padding: 1em;
}

.sub-intro {
    padding: 2rem;
    text-align: justify;
}

p {
    font-size: 1.1rem;
    font-family: 'Quattrocento', serif;
    line-height: 1.6rem;
    color: black;
    margin-bottom: .7em;
}

p::selection {
    background-color: black;
    color: white;
}

a {
    cursor: pointer;
}

.sub-intro > p > a {
    color: #002395;
    text-decoration: none;
}

.sub-intro > p > a:hover {
    background-color: black;
    color: white;
}

.sub-intro > p > a:visited:hover {
    color: white;
}

.sub-intro > p > span {
    font-family: 'Quattrocento', serif;
    font-weight: bold; 
    font-size: 1.5rem;
    line-height: 110%;
    color: black;
    text-decoration: underline;
    margin-top: 2rem;
    display: block;
}

section {
    padding: 1.5rem;
    padding-top: 0;
}

.teaser > h2 {
    width: 100%;
}

.sections p {
    text-align: justify;
}

.teaser >h2, .gallery > h2 {
    font-size: 2rem;
    font-family: 'Oswald', sans-serif;
    padding: 0.4em;
    color: white;
    background-color: black;
}

.teaser > h2 > a {
    color: white;
    text-decoration: none;
}

.teaser > figure {
    margin-bottom: 1.5em;
}

.teaser > figure > img {
    max-width: 100%;
    display: block;
    margin: 0 auto;
    overflow: hidden;
}

.teaser > figure > figcaption {
    font-size: .8rem;
    font-family: 'Quattrocento', serif;
    text-align: center;
    margin-top: 1.5em;
    padding-bottom: .4em;
    border-bottom: 1px solid black;
}

.teaser > h3 {
    font-size: 1.5rem;
    font-family: 'Oswald', sans-serif;
    margin-bottom: 1em;
    margin-left: 1.5rem;
    padding: 0.4em;
    color: white;  
    background-color: black;
    width: fit-content;  
}

.teaser > ul {
    padding: 1em;
    padding-top: 0;
}

.teaser li {
    font-family: 'Quattrocento', serif;
    margin-top: 1em;
    list-style-type: circle;
    margin-left: 2em;
}

.teaser > iframe {
    text-align: center;
    padding: 1.5em;
    width: 100%;
}

.button {
    border: 1px solid black;
    padding: .5em;
    margin: 1.5rem auto;
}

.button:hover {
    border: 2px solid black;
}

p.button {
    width: 100%;
    color: black;
    font-size: 1.2rem;
    text-align: center;
}

.button > a {
    text-decoration: none;
}

.button > a:visited {
    color: black;
}

.button > a:hover {
    font-weight: bold;
    color: black;
}

.aside {
    height: auto;
    min-height: 400px;
    align-items: center;
    padding: 1em;
    position: relative;
}

.aside p {
    font-size: 1.2rem;
    text-align: justify;
    font-family: 'Zilla Slab Highlight';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.aside a {
    color: black;
}

.aside a:visited {
    color: black;
}

footer {
    background-color: black;
    padding: 2em;
}

footer > ul {
    margin-bottom: 4em;
}

footer > ul > a {
    text-decoration: none;
    color: white;
}

footer > ul > a:visited {
    color: white;
}

footer li {
    margin-top: .8em;
}

footer > p {
    font-family: 'Quattrocento', serif;  
    color: white;
}

footer span {
    font-weight: bold; 
}

footer small {
    color: white;
    font-size: 0.9rem;
}

.teaser > h4 {
    font-size: 1.2rem;
    font-family: 'Oswald', sans-serif;
    background-color: black;
    margin-top: .1rem;
    margin-bottom: 1em;
    padding: 0.4em;
    color: white; 
    width: fit-content; 
}

div.about-list {
    padding-left: 1em;
}

.about-list > p {
    margin-top: 1em;
    margin-bottom: 1em;
    font-size: 1.8rem;
    font-family: 'Quattrocento', serif;
    line-height: 2rem;
}

.about-list > ul > li {
    font-family: 'Quattrocento', serif;
    list-style-type: disc;
    margin: .8em 1em 0 2em;
    line-height: 1.5em;
    font-size: 1.1rem;
}

div.button-to-next-article {
    width: 100%;
    display: flex;
    justify-content: space-between;
    text-align: center;
    margin-bottom: 1rem;
    margin-left: 1rem;
}

.button-to-next-article p {
    display: inline-block;
}

.button-to-next-article p a {
    font-size: 1.2rem;
    margin-right: 2em;
    color: black;
    background-color: white;
    padding: .5em;
    border: 1px solid black;
}

.button-to-next-article p a:hover {
    border: 2px solid black;
}

/*NAVIGATION TOGGLE MENU START*/
#menuToggle {
	display: block;
	position: fixed;
	top: 1em;
	right: 1em;
	z-index: 1;
	-webkit-user-select: none;
    user-select: none;
    background-color: black;
    Padding: 12px;
    border-radius: 50%;
    border: 1px solid white;
}

#menuToggle a {
	text-decoration: none;
    color: white;
    font-family: 'Oswald', sans-serif;
    font-variant: small-caps;
	transition: color 0.3s ease;
	display: block;
	padding: .5em 1em;
	background-color: black;
	font-weight: bold;
    font-size: 2rem;
}

#menuToggle a:hover {
    color: black;
    width: fit-content;
	background-color: white;
}

#menuToggle a:focus {
	background-color: black;
	color: white;
}

#menu .current {
	background-color: white;
	color: black;
	font-weight: bold;
    text-decoration: none;
    width: fit-content;
    display: inline-block;
}

#barMenu .current {
    text-decoration: underline;
    font-weight: bold;
    font-family: 'Quattrocento', serif;
}

#menuToggle input {
	display: block;
	width: 25vw;
	height: 32px;
	position: absolute;
	top: -6px;
	left: -4px;
	cursor: pointer; 
	opacity: 0;
	z-index: 2;
	-webkit-touch-callout: none;
}

#menuToggle span {
	display: block;
	width: 33px;
	height: 4px;
	margin-bottom: 5px;
	position: relative;
	background: white;
	border-radius: 3px;
    border: 1px solid black;
	z-index: 1;
	transform-origin: 4px 0px;
	transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0), backgound 0.5s cubic-bezier(0.77,0.2,0.05,1.0), opacity 0.55s ease;
}

#menuToggle span:first-child {
	transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
	transform-origin: 0% 100%;
}

#menuToggle input:checked ~ span {
opacity: 1;
transform: rotate(45deg) translate(-2px, -1px);
background: white;
}

#menuToggle input:checked ~ span:nth-last-child(3) {
	opacity: 0;
	transform: rotate(0deg) scale(0.2,0.2);
}

#menuToggle input:checked ~ span:nth-last-child(2) {
	transform: rotate(-45deg) translate(0, -1px);
}

#menu {
	position: absolute;
	width: 100vw;
	height: 100vh;
	top: -16px;
    right: -1em;
    padding-top: 60px;
    padding-right: 0px;
	padding-bottom: 0px;
	background-color: black;
	list-style-type: none;
	-webkit-font-smoothing: antialiased;
	transform-origin: 0% 0%;
	transform: translate(0, -500%);
	transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#menuToggle input:checked ~ ul {
	transform: none;
}

/*NAVIGATION TOGGLE MENU END*/

  table.GeneratedTable {
      width: 90%;
      background-color: #ffffff;
      border-collapse: collapse;
      border-width: 2px;
      border-color: black;
      border-style: solid;
      color: #000000;
      margin: 1em;
    }
    
    table.GeneratedTable td, table.GeneratedTable th {
      border-width: 2px;
      border-color: black;
      border-style: solid;
      padding: 3px;
    }
    
    table.GeneratedTable thead {
      background-color: white;
    }

b {
    background-color: rgba(132, 186, 129, 0.5);
    color: #002395;
}

div.gallery {
    padding: 0;
  }
   
  .gallery > .gallery__list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    grid-template-rows: repeat(6, 200px);
    grid-gap: .5rem;
    grid-auto-flow: dense;
    margin-top: .5rem;
  }
  
  .gallery > .gallery__list > li:nth-child(4n) {
    grid-column: span 1;
    grid-row: span 3;
  }

  .gallery > .gallery__list > li:nth-child(2n+1) {
    grid-column: span 2;
    grid-row: span 2;
  }
  
  .gallery > .gallery__list > li:nth-child(5n) {
    grid-column: span 2;
    grid-row: span 1;
  }
  
  .gallery > .gallery__list > li > figure {
    height: 100%;
  }
  
  .gallery > .gallery__list > li > figure > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
@media screen and (min-width: 600px) {
    .sections {
        display: grid;
        grid-template-columns: 3fr 2fr;
    }
}

@media screen and (min-width: 600px) {
    .top-level-sections {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 800px) {
    .sections {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 650px) {
    #barMenu, #barMenu2 {
        display: block;
    }

#barMenu > ul, #barMenu2 > ul {
    display: flex;
    width: 90%;
    justify-content: space-between;
    padding: 0;
    margin: 1em 0 0 0;
    border-top: solid 1px white;
    padding-top: 1em;
}

#barMenu2 > ul {
    width: 70%;
    margin: 0 auto;
    margin-top: 1.5em;
}

#barMenu > ul > a, #barMenu2 > ul > a {
    display: inline-block;
    text-decoration: none;
    font-size: .92rem;
    color: white;
    font-family: 'Quattrocento', serif;
    padding: .2em;
}

#barMenu2 > ul > a {
    font-size: .8rem;
}

#barMenu > ul > a:hover, #barMenu2 > ul > a:hover {
    text-decoration: underline;
}

#barMenu > ul > a:visited, #barMenu2 > ul > a:visited {
    color: white;
}
}

@media screen and (min-width: 1024px) {

.main-intro {
    border-bottom: 2px solid white;
}

.main-intro > h1 {
    width: 45%;
}

#menuToggle {
	right: calc((100vw - 1020px)/2);
}

#menu {
	width: 1040px;
}
}
